<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.neo4j</groupId>
    <artifactId>parent</artifactId>
    <version>3.5.36-SNAPSHOT</version>
    <relativePath>../..</relativePath>
  </parent>

  <properties>
    <license-text.header>headers/GPL-3-header.txt</license-text.header>
    <licensing.prepend.text>licensing/notice-gpl-prefix.txt</licensing.prepend.text>
    <moduleName>org.neo4j.graphdb</moduleName>
  </properties>

  <modelVersion>4.0.0</modelVersion>
  <artifactId>neo4j-procedure-api</artifactId>
  <version>3.5.36-SNAPSHOT</version>

  <packaging>jar</packaging>
  <name>Neo4j - Procedure API</name>
  <description>Procedure API for Neo4j.</description>
  <url>http://components.neo4j.org/${project.artifactId}/${project.version}</url>

  <scm>
    <connection>scm:git:git://github.com/neo4j/neo4j.git</connection>
    <developerConnection>scm:git:git@github.com:neo4j/neo4j.git</developerConnection>
    <url>https://github.com/neo4j/neo4j</url>
  </scm>

  <licenses>
    <license>
      <name>GNU General Public License, Version 3</name>
      <url>http://www.gnu.org/licenses/gpl-3.0-standalone.html</url>
      <comments>The software ("Software") developed and owned by Neo4j Sweden AB (referred to in this notice as "Neo4j") is
licensed under the GNU GENERAL PUBLIC LICENSE Version 3 to all third
parties and that license is included below.

However, if you have executed an End User Software License and Services
Agreement or an OEM Software License and Support Services Agreement, or
another commercial license agreement with Neo4j or one of its
affiliates (each, a "Commercial Agreement"), the terms of the license in
such Commercial Agreement will supersede the GNU GENERAL PUBLIC LICENSE
Version 3 and you may use the Software solely pursuant to the terms of
the relevant Commercial Agreement.
      </comments>
    </license>
  </licenses>

  <build>
    <plugins>
      <!-- This module contains public API, run javadoc and revapi -->
      <plugin>
        <artifactId>maven-javadoc-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.revapi</groupId>
        <artifactId>revapi-maven-plugin</artifactId>
        <configuration>
          <analysisConfiguration>
            <revapi.ignore>
                  <item>
                    <code>java.class.added</code>
                    <new>@interface org.neo4j.procedure.Internal</new>
                    <justification>Adding an internal annotation to procedures to be able to add hidden procedures without breaking dbms.procedures() output.</justification>
                  </item>
            </revapi.ignore>
          </analysisConfiguration>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <dependencies>
    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-graphdb-api</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.neo4j</groupId>
      <artifactId>neo4j-logging</artifactId>
      <version>${project.version}</version>
    </dependency>
  </dependencies>
</project>
